- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
User Management
- /
- Check if User Exists
¶ Determine if the user exists
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
To determine if the user exists based on the conditions, you can filter the user name, email address, mobile phone number, third-party external ID, etc.
¶ Method name
ManagementClient.is_user_exists
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| username | string | No | - | Username, unique in the user pool | bob |
| string | No | - | Email address, case-insensitive | test@example.com | |
| phone | string | No | - | Phone number without area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter. | 188xxxx8888 |
| externalId | string | No | - | Third-party external ID | 10010 |
¶ Request Response
Type: IsUserExistsRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsUserExistsDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"exists": true
}
}
¶ Data Structure
¶ IsUserExistsDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| exists | boolean | yes | does the user exist | true |
